# Cellulose
# coordinates from Cellulose Builder
# Thiago C. F. Gomes, Munir S. Skaf, Journal of Computational Chemistry 2012,
# Volume 33, Issue 14, pages 1338-1346. DOI: 10.1002/jcc.22959
# https://code.google.com/p/cellulose-builder/
	
		## General Commands ##

#-----------------------------------------------------------------------------
## Header: General Commands ##

# delete all objects and reset pymol
reinitialize
# set the background color to white
bg_color white
# make the background transparent for ray trace 
set ray_opaque_background, 0
# set the ray trace mode
# normal color
set ray_trace_mode, 0
# normal color + black outline
#set ray_trace_mode,  1
# black outline only
#set ray_trace_mode,  2
# turn off shadows during ray trace
set ray_shadows, 0
# set the mouse mode for laptop.
config_mouse one_button
# get rid of double bonds and skinny bonds to H
set stick_h_scale, 1
set valence, 0
# high quality surfaces
set surface_quality, 3

## End of Header: General Commands ##
#----------------------------------------
#----------------------------------------


load files/fibril-I-alpha/crystal.pdb, fibril
load files/crystal-I-alpha/crystal.pdb, crystal_1_a
load files/crystal-1-beta/crystal.pdb, crystal_1_b

create strand_1, crystal_1_a and segi M77
create strands_2, crystal_1_a and segi M86+M76+M87+M78+M68+M67
create strand_3, fibril and segi M6
create strands_4, fibril and segi M1+M2+M5+M11+M12+M7

#list_hb (strand_1), (strand_1) , cutoff=3.4, angle = 80, hb_list_name = HB_c1a_intra
#list_hb (strand_1), (strands_2) , cutoff=3.4, angle = 80, hb_list_name = HB_c1a_inter

#list_hb (strand_3), (strand_3) , cutoff=3.4, angle = 80, hb_list_name = HB_f_intra
#list_hb (strand_3), (strands_4) , cutoff=3.4, angle = 80, hb_list_name = HB_f_inter

dist hbond, (name HO* and strand_3), (name O* and strand_3), 2.1
dist hbond, (name HO* and strands_4), (name O* and strands_4), 2.1
dist hbond, (name HO* and strand_3), (name O* and strands_4), 2.4
dist hbond, (name HO* and strands_4), (name O* and strand_3), 2.4

color yellow, hbond




hide everything, strand*
show stick, strand*
color red, name O* and (strand*)
color white, name H* and (strand*)
color green, name C* and (strand_1)
color wheat, name C* and (strands_2)
color green, name C* and (strand_3)
color wheat, name C* and (strands_4)

disable all
enable strand_1
enable strands_2
enable hbond

set_view (\
    -0.999046922,    0.043317791,   -0.003703104,\
    -0.036122713,   -0.779609382,    0.625216722,\
     0.024195082,    0.624759316,    0.780440331,\
     0.000000000,    0.000000000,  -45.446678162,\
    39.102718353,   18.095149994,    5.297110081,\
    43.288139343,   47.605201721,  -20.000000000 )
### cut above here and paste into script ### 

### cut below here and paste into script ###
set_view (\
     0.989311159,    0.114098154,   -0.090720393,\
    -0.043463904,    0.824943483,    0.563531995,\
     0.139138460,   -0.553569019,    0.821094513,\
     0.000002157,   -0.000085824,  -44.818260193,\
     8.190981865,   41.353897095,   36.630550385,\
    42.737762451,   46.913940430,  -20.000000000 )
### cut above here and paste into script ### ### cut above here and paste into script ### 

#ray 1200,1200
#save images/cellulose_crystal_1_a.png

disable all
enable strand_3
enable strands_4
enable hbond

set_view (\
    -0.998717189,   -0.031756632,   -0.039038021,\
     0.001275013,    0.759506702,   -0.650482893,\
     0.050307553,   -0.649703205,   -0.758511662,\
     0.000000000,    0.000000000,  -93.399986267,\
    39.102718353,   18.095149994,    5.297110081,\
    91.695236206,   95.104705811,  -20.000000000 )
### cut above here and paste into script ###
    
ray 1200,1200
#save images/cellulose_crystal_f.png

